#main program: gptmd.py
#this module: utility.py

def get_aa_dict():
    aa_dict = dict()
    aa_dict['Alanine'] = 'A'
    aa_dict['Alanine-Arginine'] = 'R'
    aa_dict['Alanine-Asparagine'] = 'N'
    aa_dict['Alanine-Glycine'] = 'G'
    aa_dict['Alanine-Isoleucine'] = 'I'
    aa_dict['Alanine-Proline'] = 'P'
    aa_dict['Arginine'] = 'R'
    aa_dict['Arginine-Cysteine'] = 'C'
    aa_dict['Asparagine'] = 'N'
    aa_dict['Asparagine or Aspartate'] = 'N'
    aa_dict['Asparagine-Cysteine'] = 'C'
    aa_dict['Asparagine-Glycine'] = 'G'
    aa_dict['Asparagine-Lysine'] = 'K'
    aa_dict['Aspartate'] = 'D'
    aa_dict['Aspartic Acid'] = 'D'
    aa_dict['Aspartate-Asparagine'] = 'N'
    aa_dict['Aspartate-Glycine'] = 'G'
    aa_dict['Cysteine'] = 'C'
    aa_dict['Cysteine-Arginine'] = 'R'
    aa_dict['Cysteine-Asparagine'] = 'N'
    aa_dict['Cysteine-Aspartate'] = 'D'
    aa_dict['Cysteine-Cysteine'] = 'C'
    aa_dict['Cysteine-Glutamate'] = 'E'
    aa_dict['Cysteine-Glutamine'] = 'Q'
    aa_dict['Cysteine-Glycine'] = 'G'
    aa_dict['Cysteine-Histidine'] = 'H'
    aa_dict['Cysteine-Phenylalanine'] = 'F'
    aa_dict['Cysteine-Selenocysteine'] = 'U'
    aa_dict['Cysteine-Serine'] = 'S'
    aa_dict['Cysteine-Threonine'] = 'T'
    aa_dict['Cysteine-Tryptophan'] = 'W'
    aa_dict['Cysteine-Tyrosine'] = 'Y'
    aa_dict['Glutamate'] = 'E'
    aa_dict['Glutamic Acid'] = 'E'
    aa_dict['Glutamate-Cysteine'] = 'C'
    aa_dict['Glutamate-Glycine'] = 'G'
    aa_dict['Glutamate-Lysine'] = 'K'
    aa_dict['Glutamate-Tyrosine'] = 'Y'
    aa_dict['Glutamine'] = 'Q'
    aa_dict['Glutamine-Glycine'] = 'G'
    aa_dict['Glutamine-Lysine'] = 'K'
    aa_dict['Glycine'] = 'G'
    aa_dict['Glycine-Asparagine'] = 'N'
    aa_dict['Glycine-Aspartate'] = 'D'
    aa_dict['Glycine-Cysteine'] = 'C'
    aa_dict['Glycine-Glutamate'] = 'E'
    aa_dict['Glycine-Lysine'] = 'K'
    aa_dict['Glycine-Serine'] = 'S'
    aa_dict['Glycine-Threonine'] = 'T'
    aa_dict['Histidine'] = 'H'
    aa_dict['Histidine-Asparagine'] = 'N'
    aa_dict['Histidine-Aspartate'] = 'D'
    aa_dict['Histidine-Tyrosine'] = 'Y'
    aa_dict['Isoleucine'] = 'I'
    aa_dict['Isoleucine-Cysteine'] = 'C'
    aa_dict['Isoleucine-Proline'] = 'P'
    aa_dict['Isoleucine-Serine'] = 'S'
    aa_dict['Leucine'] = 'L'
    aa_dict['Leucine-Cysteine'] = 'C'
    aa_dict['Leucine-Leucine'] = 'L'
    aa_dict['Leucine-Tryptophan'] = 'W'
    aa_dict['Lysine'] = 'K'
    aa_dict['Lysine-Asparagine'] = 'N'
    aa_dict['Lysine-Aspartate'] = 'D'
    aa_dict['Lysine-Glutamate'] = 'E'
    aa_dict['Lysine-Glutamine'] = 'Q'
    aa_dict['Lysine-Glycine'] = 'G'
    aa_dict['Lysine-Methionine'] = 'M'
    aa_dict['Lysine-Threonine'] = 'T'
    aa_dict['Lysine-Tyrosine'] = 'Y'
    aa_dict['Methionine'] = 'M'
    aa_dict['Methionine-Glycine'] = 'G'
    aa_dict['Methionine-Lysine'] = 'K'
    aa_dict['Phenylalanine'] = 'F'
    aa_dict['Phenylalanine-Cysteine'] = 'C'
    aa_dict['Proline'] = 'P'
    aa_dict['Proline-Cysteine'] = 'C'
    aa_dict['Proline-Methionine'] = 'M'
    aa_dict['Proline-Tyrosine'] = 'Y'
    aa_dict['Selenocysteine-Cysteine'] = 'C'
    aa_dict['Serine'] = 'S'
    aa_dict['Serine-Asparagine'] = 'N'
    aa_dict['Serine-Cysteine'] = 'C'
    aa_dict['Serine-Cysteine-Serine'] = 'C'
    aa_dict['Serine-Glycine'] = 'G'
    aa_dict['Serine-Lysine'] = 'K'
    aa_dict['Serine-Serine'] = 'S'
    aa_dict['Serine-Serine-Cysteine'] = 'S'
    aa_dict['Serine-Threonine'] = 'T'
    aa_dict['Threonine'] = 'T'
    aa_dict['Threonine-Cysteine'] = 'C'
    aa_dict['Threonine-Glycine'] = 'G'
    aa_dict['Threonine-Lysine'] = 'K'
    aa_dict['Threonine-Threonine'] = 'T'
    aa_dict['Tryptophan'] = 'W'
    aa_dict['Tryptophan-Cysteine'] = 'C'
    aa_dict['Tryptophan-Tryptophan'] = 'W'
    aa_dict['Tryptophan-Tyrosine-Methionine'] = 'Y'
    aa_dict['Tyrosine'] = 'Y'
    aa_dict['Tyrosine-Cysteine'] = 'C'
    aa_dict['Tyrosine-Lysine'] = 'K'
    aa_dict['Tyrosine-Methionine-Tryptophan'] = 'M'
    aa_dict['Tyrosine-Tyrosine'] = 'Y'
    aa_dict['Undefined'] = 'X'
    aa_dict['Valine'] = 'V'
    aa_dict['Valine-Cysteine'] = 'C'
    aa_dict['Valine-Tyrosine'] = 'Y'
    aa_dict['Any'] = 'Any'
    return aa_dict
